petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscMallocPopMaximumUsage

collect the maximum memory usage over an event

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocPopMaximumUsage(int event,PetscLogDouble *mu)

Not Collective

### Input Parameter

event -an event id; this is just for error checking

### Output Parameter

mu -maximum amount of memory malloced during this event; high water mark relative to the beginning of the event

### See Also

PetscMallocDump(), PetscMallocView(), PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(),
PetscMallocPushMaximumUsage()

### Level

developer

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages